<div class="login-form-wrapper">
    <div class="login-form">

        <div class="logo" fxHide.gt-xs style="color: white">
            <img alt="Angular Logo" height="100px" src="../../assets/images/backgrounds/logo_gamsc.jpg">
        </div>

        <div class="title">INGRESO A LA PLATAFORMA</div>
        
        <form [formGroup]="form" (ngSubmit)="form.valid && loginUser()" autocomplete="off">
            <fieldset [disabled]="loginLoading">
                <mat-form-field appearance="fill">
                    <mat-label>Email</mat-label>
                    <input matInput type="email" placeholder="Email" formControlName="email">
        
                    <mat-error *ngIf="form.controls['email'].hasError('email')" class="form-control-feedback">
                        Email incorrecto
                    </mat-error>
                    <mat-error *ngIf="form.controls['email'].hasError('required')" class="form-control-feedback">
                        Email es requerido
                    </mat-error>
                </mat-form-field>   

                <mat-form-field appearance="fill">
                    <mat-label>Password</mat-label>
                    <input matInput [type]="showPassword ? 'text' : 'password'" name="password" placeholder="Password" formControlName="password">
                    <mat-icon matSuffix (click)="togglePasswordVisibility()">visibility</mat-icon>

                    <mat-error *ngIf="form.controls['password'].hasError('required')" class="form-control-feedback">
                        Password es requerido
                    </mat-error>
                </mat-form-field>

                <div class="redirection">                    
                    <a class="link" routerLink="/auth/recover">Olvidó su password?</a>
                </div>                  
        
                <button type="submit" [disabled]="loginLoading" mat-button color="primary">Iniciar Sesión</button>
            </fieldset>
        </form>
        
        <div class="redirection">
            <span class="text">Tienes una cuenta?</span>
            <a class="link" routerLink="/auth/register">Registrar Usuario</a>
        </div>
        
        <mat-spinner class="loading" [diameter]="25" *ngIf="loginLoading">
        </mat-spinner>
        

    </div>
</div>

